------------------------------------------------------------------------------------
--Name:  	laoren
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-03-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(161, 231)
local effect_0 = CppScriptMgr:AddEffect("_p_15_Bflower_r_wea2", 163, 239, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("_p_15_Wflower_r_wea2", 155, 232, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("_p_15_Gflower_r_wea2", 156, 226, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local effect_3 = CppScriptMgr:AddEffect("zf2-e281", 161, 230, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local npc_0 = CppScriptMgr:AddSimplePlayer(1100710, 161, 230, "HunchedElder", 0, 0)
CppScriptMgr:WaitMilSec(800)
npc_0:SetAction(401)
CppScriptMgr:WaitMilSec(200)
npc_0:Say("The array activates. The cycle of life continues!", 1500)
CppScriptMgr:WaitMilSec(500)
local effect_4 = CppScriptMgr:AddEffect("CSGX_zi", 163, 239, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("CSGX_lv", 155, 232, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("CSGX_jin", 156, 226, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
npc_0:Say("I shall sacrifice myself to preserve the oasis forever!", 1500)
CppScriptMgr:WaitMilSec(500)
npc_0:AddEffect("zf2-e233", 33)
npc_0:AddEffect("xuanyuan_skill5xh", 33)
npc_0:SetAction(330)
CppScriptMgr:WaitMilSec(2500)